import pandas as pd
import numpy as np
from utils import latitude_longitude_conversion

# # ^ 读取中国地震数据集
# data = pd.read_excel("./china.xls")  # !! nrows 选择读取的行数

# data.columns = ["id", "date", "lon", "lat", "depth", "type", "level", "loc", "incident"]

# print(data.shape, "\n", data.dtypes)

# # ^ 数据清理

# # @ 统计NaN个数
# x = data.isnull().sum().sum()

# # @ 第一次sum()算出各个列有几个,第二次算出全部
# print('共有NaN:', x)

# # @ 统计重复行个数
# x = data.duplicated().sum()
# print('共有重复行:', x)

# # ^ 测试经纬度坐标转换
# df_test = data.head(3)

# df_test = latitude_longitude_conversion(df_test)

# print(df_test[['id', 'lon', 'lat', 'level', 'city', 'province']])

# # ^ 将所有数据坐标进行转换并保存为 csv 文件
# data = latitude_longitude_conversion(data)

# data.to_csv('china_new.csv', index=False)


# # ^ 读取世界地震数据集并转化成 csv
data = pd.read_excel("./world.xls")  # !! nrows 选择读取的行数

data.columns = ["id", "date", "lon", "lat", "depth", "type", "level", "loc", "incident"]

data.to_csv("world_new.csv", index=False)
